import java.io.File;
import java.io.IOException;

import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.select.Elements;

public class HTMLParser {
    private Document doc = null;
    private Elements links;
    public HTMLParser(String local){
        File input = new File(local);
        try {
            doc = Jsoup.parse(input, "UTF-8", "");
        } catch (IOException e) {
            e.printStackTrace();
        }
        links = doc.select("a[href]");
    }
    public String getTitle(){
        return doc.title();
    }
    public Elements getElements(){
        return links;
    }
}

